package com.futhark;

import com.futhark.datagen.*;
import net.fabricmc.fabric.api.datagen.v1.DataGeneratorEntrypoint;
import net.fabricmc.fabric.api.datagen.v1.FabricDataGenerator;

public class FutharkDataGenerator implements DataGeneratorEntrypoint {
	@Override
	public void onInitializeDataGenerator(FabricDataGenerator fabricDataGenerator) {
		FabricDataGenerator.Pack pack = fabricDataGenerator.createPack();
		pack.addProvider(FutharkBlockTagProvider::new);
		pack.addProvider(FutharkItemTagProvider::new);
		pack.addProvider(FutharkLootTableProvider::new);
		pack.addProvider(FutharkModelProvider::new);
		pack.addProvider(FutharkRecipeProvider::new);
	}
}
