package com.futhark.datagen;

import com.futhark.block.FutharkBlocks;
import com.futhark.item.FutharkItems;
import net.fabricmc.fabric.api.datagen.v1.FabricDataOutput;
import net.fabricmc.fabric.api.datagen.v1.provider.FabricModelProvider;
import net.minecraft.data.client.BlockStateModelGenerator;
import net.minecraft.data.client.ItemModelGenerator;
import net.minecraft.data.client.Models;

public class FutharkModelProvider extends FabricModelProvider {
    public FutharkModelProvider(FabricDataOutput output) {
        super(output);
    }

    @Override
    public void generateBlockStateModels(BlockStateModelGenerator blockStateModelGenerator) {
        blockStateModelGenerator.registerSimpleCubeAll(FutharkBlocks.JAFFA_JAM_BLOCK);
        blockStateModelGenerator.registerSimpleCubeAll(FutharkBlocks.RUNE_BLOCK);
    }

    @Override
    public void generateItemModels(ItemModelGenerator itemModelGenerator) {
        itemModelGenerator.register(FutharkItems.JAFFA_CAKE, Models.GENERATED);
        itemModelGenerator.register(FutharkItems.JAFFA_JAM, Models.GENERATED);
        itemModelGenerator.register(FutharkItems.RUNIC_CHISEL, Models.GENERATED);
    }
}
